Skip to main content

Get All Location Tasks

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.get_all_location_tasks

Get all tasks for a location with auto-pagination and optional QA filtering.

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-get-all-location-tasks-example",
"method": "tools/call",
"params": {
"name": "ghl.get_all_location_tasks",
"arguments": {
"locationId": "locationId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"contactId": [],
"completed": false,
"assignedTo": [],
"query": "query_example",
"businessId": "businessId_123",
"limit": 1,
"maxPages": 1
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"strictTenant": {
"type": "boolean"
},
"locationId": {
"type": "string"
},
"contactId": {
"type": "array",
"items": {
"type": "string"
}
},
"completed": {
"type": "boolean"
},
"assignedTo": {
"type": "array",
"items": {
"type": "string"
}
},
"query": {
"type": "string"
},
"businessId": {
"type": "string"
},
"limit": {
"type": "number"
},
"maxPages": {
"type": "number"
},
"maxTasks": {
"type": "number"
},
"startDate": {
"type": "string"
},
"endDate": {
"type": "string"
},
"dateField": {
"type": "string",
"enum": [
"dueDate",
"dateAdded",
"dateUpdated"
]
},
"includeContact": {
"type": "boolean"
},
"maxContactLookups": {
"type": "number"
}
},
"required": [
"locationId"
],
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-get-all-location-tasks-example",
"method": "tools/call",
"params": {
"name": "ghl.get_all_location_tasks",
"arguments": {
"locationId": "locationId_123",
"tenantId": "tenantId_123",
"strictTenant": false,
"contactId": [],
"completed": false,
"assignedTo": [],
"query": "query_example",
"businessId": "businessId_123",
"limit": 1,
"maxPages": 1
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.get_all_location_tasks executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}